Advertisement:

Author Topic: SMF 2.0.14 Rilasciato  (Read 3167 times)

Offline Darknico

  • Local Moderator
  • SMF Hero
  • *
  • Posts: 1,635
  • Gender: Male
  • No Private Support!!
    • @ItalianSMF on Twitter
    • Darknico.com
SMF 2.0.14 Rilasciato
« on: May 16, 2017, 12:24:35 PM »
LEGGETE TUTTO PRIMA DI AGGIORNARE!!
NON TUTTE LE VERSIONE DI PHP SONO COMPATIBILI!!!
SE AVETE PHP 5.3, O INFERIORE, FERMATEVI E LEGGETE!

Ciao ragazzi,

La Simple Machines ha rilasciato un aggiornamento per SMF 2.0.x, portandola alla versione 2.0.14.

Le novità più importanti solo la compatibilità con PHP versione 7 e la possibilità di usare SMF sotto https.
Ma sono ovviamente compresi fix di sicurezza e bug risolti, quindi è molto importante!

Questo è il changelog ufficiale:

Quote
Changelog
=========
- Updating session handlers
- Adding HTTPS
  . fetch_web_data now uses cURL, falling back to sockets
  . Ported image proxy support from SMF 2.1
  . Also added HTTPS for avatars
- Added a simple exception handler
- Check session while logging in
- Sanitize some fields to help guard against XSS
- Validate email addresses with PHP's filter method
- Fix search highlighting to not mangle/expose some HTML
- Fix password acceptance when special characters were used in UTF-8
- Correct some random logic errors in the profile area
- Use ampersands instead of semi-colons for PayPal's return link
- Fix sending multiple MIME-Version headers in notification mail
- Fix sending multiple Content-Type headers in all requests

Se state usando 2.0.13, è possibile aggiornare il forum a 2.0.14 utilizzando il gestore dei pacchetti. Si dovrebbe vedere la notifica di aggiornamento nel pannello di amministrazione e nel gestore dei pacchetti, che consente di scaricare e installare senza problemi. Se non si dispone di una notifica circa l'aggiornamento, eseguire l'operazione pianificata "Fetch Simple Machines files" (In Italiano: "Carica i file Simple Machines").
È possibile anche scaricando l'aggiornamento da qui (Pagina Upgrades):, ed installare usando il gestore pacchetti.

Se invece state ancora usando versioni più vecchie, si può procedere usando i pacchetti di upgrade nella pagina Download, oppure applicando sequenzialmente le patch dal gestore pacchetti.


È possibile scaricare anche il changelog completo nella stessa pagina.

Per informazioni, di seguito i manuali (in inglese):
* upgrading http://wiki.simplemachines.org/smf/Upgrading
* patching http://wiki.simplemachines.org/smf/Patching

Annuncio Ufficiale: https://www.simplemachines.org/community/index.php?topic=553855.0

N.B. La traduzione necessiterà di un aggiornamento:
http://www.italiansmf.net/forum/index.php?topic=2286.0

Buon upgrade,
lo staff di Italian SMF


ATTENZIONE!!
Se avete la versione PHP 5.4 o superiore, in teoria non ci sono problemi.
Fatevi lo stesso un backup do sicurezza
« Last Edit: November 22, 2017, 08:08:01 AM by Darknico »
Italian SMF - Supporto Italiano per la board SMF - Ci trovate tutti li!! :)